Subject: Re: Talking Tools question

From: [email-masked] (Patrick Blancheton)
Date: Sat, 22 Nov 1997 14:10:22 +0100

Gareth Jones <[email-masked]> wrote (ecrivait) :

> Is there any way to use the Talking Tools (from the ByteWorks) from
> HyperCard GS to read the contents of a field aloud?

Yes, there's an XCMD made bye ... me ;-)

You must know that there are some limitations in the use of "Speak". The
string that "will be spoken" must not exceed about 100 characters long
or the XCMD freezes. I think that's due to the parameter passed by
HyperCard to the external, a Pascal string. You can override this using
several calls to the external of course.
I found the audio results not very good so I restricted the choices to
change the gender only.

Some examples:

Speak "My string not too long, understood?", "female"
Speak card field id 2, male
Speak myVariable (in that case male is the default gender)
Speak "?": show the syntax in the message window so you can try it!
Speak "!": display the copyright message.

I wrote this external in 1995 and didn't look at it since then.
The help is still in French, but I don't think it's a problem ;-)

Amicalement,

Patrick

+--------------------------------------------------+
|               Patrick Blancheton                 |
|                 Shamrock-CoDeS.                  |
| <[email-masked]>   <[email-masked]> |
+--------------------------------------------------+

"Education is not filling a pail,
but the lighting of a fire." - W. B. Yeats